mia-3dgetslice
Prev | Image conversion | Next

### mia-3dgetslice

#### Sysnopis:

`mia-3dgetslice` {-i `io`} {-o `io`} [ `options` ...]

#### Description:

This program is used to extract 2D slices from a 3D data set and store them in separate files. Output files will be numbered according to their slice index.

#### Options:

-i, --in-file=(input, required); io

  input image(s) to be filtered. For supported file types see Plugin type: 3dimage/io

-o, --out-file=(output, required); io

  output image(s). If number != 1 than this is used as a base name and should be given without extension since this will be based on the '--type' option. If number=1 then this exact file name will be used.. For supported file types see Plugin type: 2dimage/io

-t, --type=png; set

  output file type for number != 1 Supported values are:(bmp, datapool, dicom, exr, jpg, png, raw, tif, vista, )

-s, --start=0; ulong

  start slice number

-n, --number=1; ulong

  number of slices (all=0)

--ndigits=4; int

  minimum number of digits of the file name numbers (if n != 1)

-d, --dir=xy; dict

  slice direction (xy=axial, xz=coronal, yz=saggital)

  xy: | get xy (axial) slice
  xz: | get xz (coronal) slice
  yz: | get yz (saggital) slice

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Store 5 coronal slices starting at slice 120 coronalXXXX.png from image.v.

    mia-3dgetslice -i image.v -o coronal -t png -n 5 -s 120

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dto3dimageb | Home | mia-3dimageselect